CREATE TABLE gtg_ts_purchasinglinetype (
    ETL_SEQUENCE_ID             NUMBER(19, 0),
    ETL_VERSION_NUMBER          NUMBER(18, 0),
    DELETE_VERSION_NUMBER       NUMBER(18, 0),
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CATEGORY_ID                 NUMBER(18, 0),
    DESCRIPTION                 VARCHAR2(960),
    DOCLINEBIDFF                VARCHAR2(600),
    ID                          NUMBER(18, 0),
    INACTIVE_DATE               DATE         ,
    INSPECTION_REQUIRED_FLAG    VARCHAR2(4)  ,
    LANGUAGECOLUMN              VARCHAR2(16) ,
    LINETYPEDFF                 VARCHAR2(600),
    LINE_TYPE                   VARCHAR2(120),
    LINE_TYPE_CODE              VARCHAR2(120),
    LINE_TYPE_ID                NUMBER(18, 0),
    MATCHING_BASIS              VARCHAR2(120),
    MTCHAPPRLVL                 VARCHAR2(40) ,
    MTCHOPTN                    VARCHAR2(100),
    ORDER_TYPE_LOOKUP_CODE      VARCHAR2(100),
    OUTSIDE_OPERATION_FLAG      VARCHAR2(4)  ,
    POLINETYPESB_CB             VARCHAR2(256),
    POLINETYPESB_CD             TIMESTAMP(6) ,
    POLINETYPESB_LUB            VARCHAR2(256),
    POLINETYPESB_LUD            TIMESTAMP(6) ,
    POLINETYPESTL_CB            VARCHAR2(256),
    POLINETYPESTL_CD            TIMESTAMP(6) ,
    POLINETYPESTL_LUB           VARCHAR2(256),
    POLINETYPESTL_LUD           TIMESTAMP(6) ,
    PRODUCT_TYPE                VARCHAR2(120),
    PURCHASE_BASIS              VARCHAR2(120),
    RECEIVE_CLOSE_TOLERANCE     NUMBER       ,
    RECEIVING_FLAG              VARCHAR2(4)  ,
    UNIT_OF_MEASURE             VARCHAR2(100),
    UNIT_PRICE                  NUMBER       ,
    UOM_CODE                    VARCHAR2(12) ,
    ETL_SEQUENCE_ID             NUMBER(19, 0),
    ETL_VERSION_NUMBER          NUMBER(18, 0),
    DELETE_VERSION_NUMBER       NUMBER(18, 0),
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CATEGORY_ID                 NUMBER(18, 0),
    DESCRIPTION                 VARCHAR2(960),
    DOCLINEBIDFF                VARCHAR2(600),
    ID                          NUMBER(18, 0),
    INACTIVE_DATE               DATE         ,
    INSPECTION_REQUIRED_FLAG    VARCHAR2(4)  ,
    LANGUAGECOLUMN              VARCHAR2(16) ,
    LINETYPEDFF                 VARCHAR2(600),
    LINE_TYPE                   VARCHAR2(120),
    LINE_TYPE_CODE              VARCHAR2(120),
    LINE_TYPE_ID                NUMBER(18, 0),
    LNG                         VARCHAR2(16) ,
    MATCHING_BASIS              VARCHAR2(120),
    MTCHAPPRLVL                 VARCHAR2(40) ,
    MTCHOPTN                    VARCHAR2(100),
    ORDER_TYPE_LOOKUP_CODE      VARCHAR2(100),
    OUTSIDE_OPERATION_FLAG      VARCHAR2(4)  ,
    POLINETYPESB_CB             VARCHAR2(256),
    POLINETYPESB_CD             TIMESTAMP(6) ,
    POLINETYPESB_LUB            VARCHAR2(256),
    POLINETYPESB_LUD            TIMESTAMP(6) ,
    POLINETYPESTL_CB            VARCHAR2(256),
    POLINETYPESTL_CD            TIMESTAMP(6) ,
    POLINETYPESTL_LUB           VARCHAR2(256),
    POLINETYPESTL_LUD           TIMESTAMP(6) ,
    PRODUCT_TYPE                VARCHAR2(120),
    PURCHASE_BASIS              VARCHAR2(120),
    RECEIVE_CLOSE_TOLERANCE     NUMBER       ,
    RECEIVING_FLAG              VARCHAR2(4)  ,
    UNIT_OF_MEASURE             VARCHAR2(100),
    UNIT_PRICE                  NUMBER       ,
    UOM_CODE                    VARCHAR2(12) ,
    CONSTRAINT pk_gtg_ts_purchasinglinetype PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
